Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class MinInclusiveFacet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.ValueRangeFacet
              com.saxonica.schema.MinInclusiveFacet

All Implemented Interfaces:
  Serializable

    public class MinInclusiveFacet

extends ValueRangeFacet

Implements the minInclusive facet on a simple type

See Also:
  Serialized Form

Constructor Summary
`MinInclusiveFacet()`

Method Summary
`String` | `getName()` Returns the name of this Facet
`protected boolean` | `testComparisonOK(int comparisonResult)` Test whether the comparison with the min or max value is a valid result

Methods inherited from class com.saxonica.schema.ValueRangeFacet
`checkFacetRestriction, convertToTargetType, getValue, setValue, testAtomicValue`

Methods inherited from class com.saxonica.schema.Facet
`getMessage, getWhitespaceAction, isConstraining, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, setMessage, testLength, testListValue, toLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinInclusiveFacet

    public MinInclusiveFacet()

Method Detail

### getName

    public String getName()

  Description copied from class: `Facet`
  Returns the name of this Facet

  Specified by:
    `getName` in class `Facet`
  Returns:
    the name of this Facet

### testComparisonOK

    protected boolean testComparisonOK(int comparisonResult)

  Description copied from class: `ValueRangeFacet`
  Test whether the comparison with the min or max value is a valid result

  Specified by:
    `testComparisonOK` in class `ValueRangeFacet`
  Parameters:
    `comparisonResult` - the result of comparing the actual value with the specified min or max value, as defined using the compareTo() method
  Returns:
    true if the comparison is OK, that is, if the value conforms to the facet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.